Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How to opt out of a semantic-desktop?
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
curmudgeon
Veteran
Veteran


Joined: 08 Aug 2003
Posts: 1356

PostPosted: Sun Jul 07, 2013 8:49 am    Post subject: Reply with quote

mv wrote:
In contrast to faildesktop's lightdm - which depends unconditionally on pam - slim is usable (without pam):
curmudgeon wrote:
less technical users who freak out when they can't mount a flash drive or SD card).

There are tools for it which can do this. Wasn't it "pmount"? Moreover, there are also tools which use that tools to mount even automatically, using (e)udev rules. There were several threads about it in the forums.


I actually am using lxdm on my "preparing for the end of the kde world" machine (doesn't even require sessreg).

I am afraid that most of the mounting tools have fallen into disuse (and unmaintained) with the spread (like a disease) of consolekit. I might have to go back and learn about what is still available.

mv wrote:
curmudgeon wrote:
mv wrote:
and no convenient tools for ripping audio cds - this is what troubles me most.


That is surprising because there are so many tools to do that.

By just inserting the CD, having all titles looked up in a database and saved with corresponding commands and names in a format configurable by you (e.g. spaces replaced by "_"), ripped and converted in an easily adjusted number of parallel tasks with easily configurable options about the quality and treatment in case of CD errors?


All of that automation does come with a cost (in bloat). :)

curmudgeon wrote:
mv wrote:
I think you can even do that in vlc

It was a nice side effect when wiping KDE that I could also get rid of vlc which I used only for kdm's sound system. I was always rather happy with mplayer/mencoder/ffmpeg (or occassionally xine). Maybe I should have a look at it, again.


I still prefer the command line mplayer (the biggest reason for me is that it has just always supported streaming media so much better), but I can tolerate vlc (and the less technical users do really like it).

Just to expand the topic a bit (rants about stupid design decisions), I am still running polkit-0.104-r1 (and it is still working, even though newer versions are "required"). The decision to force a full blown javascript engine in polkit is one of the worst I have ever seen. And to exacerbate matters, they are using mozilla's implementation (I see mozilla as the home of last resort for the clueless in the open source world). Ugh!


Last edited by curmudgeon on Thu Jul 11, 2013 8:44 am; edited 1 time in total
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2713
Location: Hamburg/Germany

PostPosted: Sun Jul 07, 2013 8:54 am    Post subject: Reply with quote

I just realized, that even after I switched of nepomuk in the system settings , there's still a akonadi process running, spawning a mysqld, und having over 140 MB occupied in ~/.local/share/akonadi/db_data. (I removed -semantic-desktop due to digikam-3.2). Now I'm wondering if and how I can get rid of most of the 140 MB and the akonadi process (which is useless I think).
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Sun Jul 07, 2013 10:02 am    Post subject: Reply with quote

you can disable akonadi by switching akonadi server off. As far as I remember it is a "StartServer" parameter in ~/.config/akonadi/akonadiserverrc file
And remove akonadi .desktop from autostart
Of course, file indexing daemons should be disables as well (KDE control center)
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2713
Location: Hamburg/Germany

PostPosted: Sun Jul 07, 2013 10:22 am    Post subject: Reply with quote

creaker wrote:
you can disable akonadi by switching akonadi server off. As far as I remember it is a "StartServer" parameter in ~/.config/akonadi/akonadiserverrc file
And remove akonadi .desktop from autostart
Of course, file indexing daemons should be disables as well (KDE control center)
great - works well - thx
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 8:22 am    Post subject: Reply with quote

Nevertheless I've decided to rid out semantic-desktop dependency.
I have removed all the strings that contained "semantic" word from kde-base/kdelibs-4.10.4.ebuild.
After that I have recalculated the digest
Code:
# ebuild kdelibs-4.10.4.ebuild digest
>>> Creating Manifest for /usr/portage/kde-base/kdelibs

and checked for semantic dependencies:
Code:
# equery depends semantic-desktop


shows nothing, clear

Code:
# emerge -avuDN world
Total: 126 packages (111 upgrades, 13 new, 2 reinstalls), Size of downloads: 536,300 kB

Would you like to merge these packages? [Yes/No]
Y

Let's see what happens
Back to top
View user's profile Send private message
mv
Advocate
Advocate


Joined: 20 Apr 2005
Posts: 4218

PostPosted: Mon Jul 08, 2013 9:19 am    Post subject: Reply with quote

curmudgeon wrote:
mv wrote:
By just inserting the CD, having all titles looked up in a database and saved with corresponding commands and names in a format configurable by you (e.g. spaces replaced by "_"), ripped and converted in an easily adjusted number of parallel tasks with easily configurable options about the quality and treatment in case of CD errors?

All of that automation does come with a cost (in bloat). :)

Not necessarily in principle. Moreover, I need ripping Audio CDs or burning CDs/DVDs so seldem that I do not want to learn all technical details of manually using cdrtools and lame correctly - the problem is that in this topic you can easily get suboptimal results by inappropriate usage which you might not even be aware of. (E.g. somebody mentioned here cdparanoia, but I remember that I read a statement from Schily somewhere that readcd from cdrtools can use the same and even an improved algorithm of cdparania if called with appropriate parameters...). This is just one of many examples which show that for optimal results you should be an expert in these tools if you do not have a smart frontend which you trust...
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 10:39 am    Post subject: Reply with quote

So I rebuilt the world without semantic-desktop flag. During compilation I've noticed "nepomuk-core" was built...
After reboot:

Ctrl+Esc shows these processes are running:
Code:
virtuoso-t
nepomukservicestub
nepomukserver


All the crap already here.
I have had to unmerge them:
Code:
emerge --unmerge nepomuk-core virtuoso-server virtuoso-odbc

Reboot once more, now seems nepomuk and virtuoso gone. Clear.
I had no nepomuk installed before, so why it was built during update? Semantic-desktop USE flag was not set. Where it crawled from?
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 2700
Location: The Peanut Gallery

PostPosted: Mon Jul 08, 2013 1:15 pm    Post subject: Reply with quote

creaker wrote:
Reboot once more, now seems nepomuk and virtuoso gone. Clear.

Woot! Well done creaker :-)

Any chance you can post the modified ebuild/s you used? (Or a diff -u if you prefer.)
Quote:
I had no nepomuk installed before, so why it was built during update? Semantic-desktop USE flag was not set. Where it crawled from?

equery depends nepomuk should tell you in general, not sure how it'll go if you've unmerged them. (Though I think you'll probably still have something showing, or it wouldn't have been merged in the first place.)

Might be a candidate for package.provided, to stop portage trying to install it in future.
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 2:35 pm    Post subject: Reply with quote

steveL wrote:
creaker wrote:
Reboot once more, now seems nepomuk and virtuoso gone. Clear.

Woot! Well done creaker :-)

Any chance you can post the modified ebuild/s you used? (Or a diff -u if you prefer.)



Here is my kdelib.ebuild:
Code:
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/kde-base/kdelibs/kdelibs-4.10.4.ebuild,v 1.5 2013/07/02 08:07:05 ago Exp $

EAPI=5

CPPUNIT_REQUIRED="optional"
DECLARATIVE_REQUIRED="always"
OPENGL_REQUIRED="optional"
KDE_HANDBOOK="optional"
inherit kde4-base fdo-mime multilib toolchain-funcs flag-o-matic

EGIT_BRANCH="KDE/4.10"

DESCRIPTION="KDE libraries needed by all KDE programs."

KEYWORDS="amd64 ~arm ppc ppc64 x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux"
LICENSE="LGPL-2.1"
IUSE="3dnow acl alsa altivec +bzip2 debug doc fam jpeg2k kerberos lzma
mmx nls openexr +policykit spell sse sse2 ssl +udev +udisks
+upower zeroconf"


############################ from previous block ^^####
#semantic-desktop
##################################################


REQUIRED_USE="
   udisks? ( udev )
   upower? ( udev )
"

# needs the kate regression testsuite from svn
RESTRICT="test"

COMMONDEPEND="
   app-crypt/qca:2
   >=app-misc/strigi-0.7.7
   app-text/docbook-xml-dtd:4.2
   app-text/docbook-xsl-stylesheets
   >=dev-libs/libattica-0.4.1
   >=dev-libs/libdbusmenu-qt-0.3.2
   dev-libs/libpcre[unicode]
   dev-libs/libxml2
   dev-libs/libxslt
   media-libs/fontconfig
   media-libs/freetype:2
   media-libs/giflib
   media-libs/libpng:0=
   >=media-libs/phonon-4.4.3
   sys-libs/zlib
   virtual/jpeg
   >=x11-misc/shared-mime-info-0.60
   acl? ( virtual/acl )
   alsa? ( media-libs/alsa-lib )
   !aqua? (
      x11-libs/libICE
      x11-libs/libSM
      x11-libs/libX11
      x11-libs/libXau
      x11-libs/libXcursor
      x11-libs/libXdmcp
      x11-libs/libXext
      x11-libs/libXfixes
      x11-libs/libXft
      x11-libs/libXpm
      x11-libs/libXrender
      x11-libs/libXScrnSaver
      x11-libs/libXtst
      !kernel_SunOS? (
         || (
            sys-libs/libutempter
            >=sys-freebsd/freebsd-lib-9.0
         )
      )
   )
   bzip2? ( app-arch/bzip2 )
   fam? ( virtual/fam )
   jpeg2k? ( media-libs/jasper )
   kerberos? ( virtual/krb5 )
   openexr? (
      media-libs/openexr:=
      media-libs/ilmbase:=
   )
   policykit? ( >=sys-auth/polkit-qt-0.103.0 )

   spell? ( app-text/enchant )
   ssl? ( dev-libs/openssl )
   udev? ( virtual/udev )
   zeroconf? ( net-dns/avahi[mdnsresponder-compat] )
"

################################ from previous block ^^########
#   semantic-desktop? (
#      >=dev-libs/shared-desktop-ontologies-0.10.0
#      >=dev-libs/soprano-2.9.0[dbus,raptor,redland]
#   )
##########################################################


DEPEND="${COMMONDEPEND}
   doc? ( app-doc/doxygen )
   nls? ( virtual/libintl )
"
RDEPEND="${COMMONDEPEND}
   !dev-qt/qtphonon
   >=app-crypt/gnupg-2.0.11
   app-misc/ca-certificates
   $(add_kdebase_dep kde-env)
   sys-apps/dbus[X]
   !aqua? (
      udisks? ( sys-fs/udisks:2 )
      x11-apps/iceauth
      x11-apps/rgb
      >=x11-misc/xdg-utils-1.0.2-r3
      upower? ( sys-power/upower )
   )
   udev? ( app-misc/media-player-info )
"
PDEPEND="
   $(add_kdebase_dep katepart)
   || (
      $(add_kdebase_dep kfmclient)
      x11-misc/xdg-utils
   )
   handbook? ( $(add_kdebase_dep khelpcenter) )
   policykit? (
      >=sys-auth/polkit-kde-agent-0.99
   )

"

################################ from previous block ^^########
#   semantic-desktop? (
#      $(add_kdebase_dep nepomuk-core)
#      $(add_kdebase_dep nepomuk-widgets)
#   )
##########################################################


# Force the upgrade of plasma-workspace to a version that explicitly depends on kactivities
add_blocker plasma-workspace 4.7.1

# file collision, bug 394991
add_blocker kcontrol 4.4.50

PATCHES=(
   "${FILESDIR}/dist/01_gentoo_set_xdg_menu_prefix-1.patch"
   "${FILESDIR}/dist/02_gentoo_append_xdg_config_dirs-1.patch"
   "${FILESDIR}/${PN}-4.7.96-mimetypes.patch"
   "${FILESDIR}/${PN}-4.4.90-xslt.patch"
   "${FILESDIR}/${PN}-4.6.2-armlinking.patch"
   "${FILESDIR}/${PN}-4.6.3-no_suid_kdeinit.patch"
   "${FILESDIR}/${PN}-4.8.1-norpath.patch"
   "${FILESDIR}/${PN}-4.9.3-werror.patch"
   "${FILESDIR}/${PN}-4.10.0-udisks.patch"
)

pkg_pretend() {
   if [[ ${MERGE_TYPE} != binary ]]; then
      [[ $(gcc-major-version) -lt 4 ]] || \
            ( [[ $(gcc-major-version) -eq 4 && $(gcc-minor-version) -le 3 ]] ) \
         && die "Sorry, but gcc-4.3 and earlier won't work for KDE SC 4.6 (see bug #354837)."
   fi
}

src_prepare() {
   kde4-base_src_prepare

   # Rename applications.menu (needs 01_gentoo_set_xdg_menu_prefix-1.patch to work)
   sed -e 's|FILES[[:space:]]applications.menu|FILES applications.menu RENAME kde-4-applications.menu|g' \
      -i kded/CMakeLists.txt || die "Sed on CMakeLists.txt for applications.menu failed."

   if use aqua; then
      sed -i -e \
         "s:BUNDLE_INSTALL_DIR \"/Applications:BUNDLE_INSTALL_DIR \"${EPREFIX}/${APP_BUNDLE_DIR}:g" \
         cmake/modules/FindKDE4Internal.cmake || die "failed to sed FindKDE4Internal.cmake"

      #if [[ ${CHOST} == *-darwin8 ]]; then
      sed -i -e \
         "s:set(_add_executable_param MACOSX_BUNDLE):remove(_add_executable_param MACOSX_BUNDLE):g" \
         cmake/modules/KDE4Macros.cmake || die "failed to sed KDE4Macros.cmake"
      #fi

      # solid/solid/backends/iokit doesn't properly link, so disable it.
      sed -e "s|\(APPLE\)|(FALSE)|g" -i solid/solid/CMakeLists.txt \
         || die "disabling solid/solid/backends/iokit failed"
      sed -e "s|m_backend = .*Backends::IOKit.*;|m_backend = 0;|g" -i solid/solid/managerbase.cpp \
         || die "disabling solid/solid/backends/iokit failed"

      # There's no fdatasync on OSX and the check fails to detect that.
      sed -e "/HAVE_FDATASYNC/ d" -i config.h.cmake \
         || die "disabling fdatasync failed"

      # Fix nameser include to nameser8_compat
      sed -e "s|nameser8_compat.h|nameser_compat.h|g" -i kio/misc/kpac/discovery.cpp \
         || die "fixing nameser include failed"
      append-flags -DHAVE_ARPA_NAMESER8_COMPAT_H=1

      # Try to fix kkeyserver_mac
      epatch "${FILESDIR}"/${PN}-4.3.80-kdeui_util_kkeyserver_mac.patch
   fi
}

src_configure() {
   mycmakeargs=(
      -DWITH_HSPELL=OFF
      -DWITH_ASPELL=OFF
      -DWITH_DNSSD=OFF
      -DKDE_DEFAULT_HOME=.kde4
      -DKAUTH_BACKEND=POLKITQT-1
      -DBUILD_libkactivities=OFF
      $(cmake-utils_use_build handbook doc)
      $(cmake-utils_use_has 3dnow X86_3DNOW)
      $(cmake-utils_use_has altivec PPC_ALTIVEC)
      $(cmake-utils_use_has mmx X86_MMX)
      $(cmake-utils_use_has sse X86_SSE)
      $(cmake-utils_use_has sse2 X86_SSE2)
      $(cmake-utils_use_with acl)
      $(cmake-utils_use_with alsa)
      $(cmake-utils_use_with bzip2 BZip2)
      $(cmake-utils_use_with fam)
      $(cmake-utils_use_with jpeg2k Jasper)
      $(cmake-utils_use_with kerberos GSSAPI)
      $(cmake-utils_use_with lzma LibLZMA)
      $(cmake-utils_use_with nls Libintl)
      $(cmake-utils_use_with openexr OpenEXR)
      $(cmake-utils_use_with opengl OpenGL)
      $(cmake-utils_use_with policykit PolkitQt-1)

      $(cmake-utils_use_with spell ENCHANT)
      $(cmake-utils_use_with ssl OpenSSL)
      $(cmake-utils_use_with udev UDev)
      $(cmake-utils_use_with udisks SOLID_UDISKS2)
      $(cmake-utils_use_with zeroconf Avahi)
   )
   kde4-base_src_configure
}

################################ from previous block ^^####################
#      $(cmake-utils_use_with semantic-desktop Soprano)
#      $(cmake-utils_use_with semantic-desktop SharedDesktopOntologies)
######################################################################


src_compile() {
   kde4-base_src_compile

   # The building of apidox is not managed anymore by the build system
   if use doc; then
      einfo "Building API documentation"
      cd "${S}"/doc/api/
      ./doxygen.sh "${S}" || die "APIDOX generation failed"
   fi
}

src_install() {
   kde4-base_src_install

   # use system certificates
   rm -f "${ED}"/usr/share/apps/kssl/ca-bundle.crt || die
   dosym /etc/ssl/certs/ca-certificates.crt /usr/share/apps/kssl/ca-bundle.crt

   if use doc; then
      einfo "Installing API documentation. This could take a bit of time."
      cd "${S}"/doc/api/
      docinto /HTML/en/kdelibs-apidox
      dohtml -r ${P}-apidocs/*
   fi

   if use aqua; then
      einfo "fixing ${PN} plugins"

      local _PV=${PV:0:3}.0
      local _dir=${EPREFIX}/usr/$(get_libdir)/kde4/plugins/script

      install_name_tool -id \
         "${_dir}/libkrossqtsplugin.${_PV}.dylib" \
         "${D}/${_dir}/libkrossqtsplugin.${_PV}.dylib" \
         || die "failed fixing libkrossqtsplugin.${_PV}.dylib"

      einfo "fixing ${PN} cmake detection files"
      #sed -i -e \
      #   "s:if (HAVE_XKB):if (HAVE_XKB AND NOT APPLE):g" \
      echo -e "set(XKB_FOUND FALSE)\nset(HAVE_XKB FALSE)" > \
         "${ED}"/usr/share/apps/cmake/modules/FindXKB.cmake \
         || die "failed fixing FindXKB.cmake"
   fi

   einfo Installing environment file.
   # Since 44qt4 is sourced earlier QT_PLUGIN_PATH is defined.
   echo "COLON_SEPARATED=QT_PLUGIN_PATH" > "${T}/77kde"
   echo "QT_PLUGIN_PATH=${EPREFIX}/usr/$(get_libdir)/kde4/plugins" >> "${T}/77kde"
   doenvd "${T}/77kde"
}

pkg_postinst() {
   fdo-mime_mime_database_update

   if use zeroconf; then
      echo
      elog "To make zeroconf support available in KDE make sure that the avahi daemon"
      elog "is running."
      echo
      einfo "If you also want to use zeroconf for hostname resolution, emerge sys-auth/nss-mdns"
      einfo "and enable multicast dns lookups by editing the 'hosts:' line in /etc/nsswitch.conf"
      einfo "to include 'mdns', e.g.:"
      einfo "   hosts: files mdns dns"
      echo
   fi

   kde4-base_pkg_postinst
}

pkg_prerm() {
   # Remove ksycoca4 global database
   rm -f "${EROOT}${PREFIX}"/share/kde4/services/ksycoca4
}

pkg_postrm() {
   fdo-mime_mime_database_update

   kde4-base_pkg_postrm
}


All the things that framed by ##### were torn out of the previous blocks

steveL wrote:

equery depends nepomuk should tell you in general, not sure how it'll go if you've unmerged them. (Though I think you'll probably still have something showing, or it wouldn't have been merged in the first place.)

Yes, two packages depends on nepomuk
Code:
# equery depends nepomuk
kde-base/kdebase-runtime-meta-4.10.4 (semantic-desktop ? >=kde-base/nepomuk-4.10.4:4[aqua=])
kde-base/systemsettings-4.10.4 (semantic-desktop ? >=kde-base/nepomuk-4.10.4:4[aqua=])


But seems these stuffs works good, at least systemsettings (tried it).

Additionally:

Code:
 # equery hasuse semantic-desktop
 * Searching for USE flag semantic-desktop ...
[IP-] [  ] kde-base/dolphin-4.10.4:4
[IP-] [  ] kde-base/gwenview-4.10.4:4
[IP-] [  ] kde-base/kactivities-4.10.4:4
[IP-] [  ] kde-base/kdebase-runtime-meta-4.10.4:4
[IP-] [  ] kde-base/kdepimlibs-4.10.4:4
[IP-] [  ] kde-base/plasma-workspace-4.10.4-r1:4
[IP-] [  ] kde-base/systemsettings-4.10.4:4


dolphin, gwenview, plasma, activities depends on semantic-desktop, but works fine without it.

and here my set of USE flags:

Code:
# euse -a
a52                 [+  D   ]
aac                 [+  D   ]
acl                 [+  D   ]
acpi                [+  D   ]
alsa                [+ CD   ]
apache2_modules_authn_core[-      ]
apache2_modules_authz_core[-      ]
apache2_modules_socache_shmcb[-      ]
apache2_modules_unixd[-      ]
branding            [+  D   ]
bzip2               [+  D   ]
cairo               [+  D   ]
cdda                [+  D   ]
cdr                 [+ CD   ]
cli                 [+  D   ]
collectd_plugins_df [-      ]
collectd_plugins_interface[-      ]
collectd_plugins_irq[-      ]
collectd_plugins_load[-      ]
collectd_plugins_memory[-      ]
collectd_plugins_rrdtool[-      ]
collectd_plugins_swap[-      ]
collectd_plugins_syslog[-      ]
consolekit          [+  D   ]
cracklib            [+  D   ]
crypt               [+  D   ]
cups                [+  D   ]                                                                                                         
cxx                 [+  D   ]                                                                                                         
dbus                [+ CD   ]                                                                                                         
dri                 [+  D   ]                                                                                                         
dts                 [+  D   ]                                                                                                         
dvd                 [+ CD   ]
dvdr                [+  D   ]
encode              [+  D   ]
exif                [+  D   ]
fam                 [+  D   ]
ffmpeg              [+ C    ]
firefox             [+  D   ]
flac                [+ CD   ]
fortran             [+  D   ]
gdbm                [+  D   ]
gif                 [+  D   ]
gpm                 [+  D   ]
iconv               [+  D   ]
jpeg                [+ CD   ]
kde                 [+ C    ]
lame                [+ C    ]
lcms                [+  D   ]
ldap                [+  D   ]
libnotify           [+  D   ]
linguas_ru          [-      ]
mad                 [+ CD   ]
mmx                 [+  D   ]
mng                 [+  D   ]
modules             [+  D   ]
mp3                 [+  D   ]
mp4                 [+  D   ]
mpeg                [+ CD   ]
mudflap             [+  D   ]
multilib            [+    F ]
ncurses             [+  D   ]
nls                 [+  D   ]
nptl                [+  D   ]
ogg                 [+ CD   ]
opengl              [+  D   ]
openmp              [+  D   ]
pam                 [+  D   ]
pango               [+  D   ]
pcre                [+  D   ]
pdf                 [+  D   ]
png                 [+ CD   ]
policykit           [+  D   ]
ppds                [+  D   ]
qt3support          [+  D   ]
qt4                 [+ CD   ]
readline            [+  D   ]
sdl                 [+  D   ]
session             [+  D   ]
spell               [+  D   ]
sse                 [+ CD   ]
sse2                [+ CD   ]
sse3                [+ C    ]
ssl                 [+  D   ]
startup-notification[+  D   ]
svg                 [+  D   ]
taglib              [+ C    ]
tcpd                [+  D   ]
tiff                [+  D   ]
truetype            [+  D   ]
udev                [+  D   ]
udisks              [+  D   ]
unicode             [+  D   ]
upower              [+  D   ]
usb                 [+  D   ]
vorbis              [+ CD   ]
wxwidgets           [+  D   ]
X                   [+  D   ]
x264                [+  D   ]
xcb                 [+  D   ]
xml                 [+  D   ]
xorg                [+ C    ]
xv                  [+  D   ]
xvid                [+  D   ]
zlib                [+  D   ]


So currently I do not see any reason to have semantic-desktop enabled
May be it worst to try to rebuild systemsettings & kdebase-runtime-meta
I'll check systemsettings.ebuild and kdebase-runtime-meta.ebuild a bit later.
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2288
Location: Germany

PostPosted: Mon Jul 08, 2013 4:45 pm    Post subject: Reply with quote

creaker,
Your edited Ebuld is the wrong way
You can in kde 4.10 simply use USE="-semantic-desktop" (for kdelibs)
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2713
Location: Hamburg/Germany

PostPosted: Mon Jul 08, 2013 5:12 pm    Post subject: Reply with quote

And with 4.11 that USE flag is gone completely

/just my 2 ct
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 5:30 pm    Post subject: Reply with quote

Josef.95 wrote:
creaker,
Your edited Ebuld is the wrong way
You can in kde 4.10 simply use USE="-semantic-desktop" (for kdelibs)


probably you didn't read carefully what was written above (where this problem went from): no more USE="-semantic-desktop" available.
semantic-desktop required by kdelibs.
I had USE="-semantic-desktop" in make.conf since I installed my system. But on last update (from 4.10.2 to 4.10.4) I got a message that I should enable semantic-desktop in order to update kdelibs

May be it is a wrong way from the point of view of kde developers, but I think I did it in a right way, whilst kde team going a wrong way.
It is my point of view
Back to top
View user's profile Send private message
toralf
Advocate
Advocate


Joined: 01 Feb 2004
Posts: 2713
Location: Hamburg/Germany

PostPosted: Mon Jul 08, 2013 5:58 pm    Post subject: Reply with quote

creaker wrote:
I think I did it in a right way, whilst kde team going a wrong way.
AFAIK the KDE team maintained the USE flag till 4.10.x - and give up to maintain a non-semantic-desktop starting with 4.11 for various reasons.
I'm just curious but doesn't count those reasons for you ? (and which why not)
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 6:11 pm    Post subject: Reply with quote

toralf wrote:
AFAIK the KDE team maintained the USE flag till 4.10.x - and give up to maintain a non-semantic-desktop starting with 4.11 for various reasons.
I'm just curious but doesn't count those reasons for you ? (and which why not)


Maybe it should be as you wrote.
But the thing is I got a message on "emerge -avuDN world" that said: semantic-desktop required by kde-base/kdelibs and suggested to write it into package.use with autounmask. It is a fact.
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 7:14 pm    Post subject: Reply with quote

These packages depends on nepomuk and nepomuk-core:
Code:
kdebase-runtime-meta
kde-meta
systemsettings
dolphin
kdepimlibs
plasma-workspace
amarok


Tried to do the same trick as I did with kdelibs : removed all the semantic-desktop and nepomuk related snippets of code from these ebuilds. After that I ran emerge -avuDN world once more but failed to update kdepimlibs. I can't to edit it properly. All other ebuilds was built successfully, so I have had to exclude kdepimlibs from update:
emerge -avuDN world --exclude=kde-base/kdepimlibs
All seems fine, no semantic-desktop, no nepomuk, no virtuoso and so on.
I did not call anyone to follow me, I did it in order to see if it really necessary to enable semantic-desktop, as it was wrote by emerge.
Currently I have KDE updated from 4.10.2 to 4.10.4. Let see what will occur when 4.11 will released, will this trick work for 4.11 or not.
Back to top
View user's profile Send private message
curmudgeon
Veteran
Veteran


Joined: 08 Aug 2003
Posts: 1356

PostPosted: Mon Jul 08, 2013 7:50 pm    Post subject: Reply with quote

toralf wrote:
And with 4.11 that USE flag is gone completely


It's "gone" because it will be hard-coded in (ie. no way to disable it).
Back to top
View user's profile Send private message
Josef.95
Advocate
Advocate


Joined: 03 Sep 2007
Posts: 2288
Location: Germany

PostPosted: Mon Jul 08, 2013 9:31 pm    Post subject: Reply with quote

creaker wrote:
These packages depends on nepomuk and nepomuk-core:
Code:
kdebase-runtime-meta
kde-meta
systemsettings
dolphin
kdepimlibs
plasma-workspace
amarok
[....]

No, of these Packages only in amarok is semantic-desktop not longer optional.
You'd better read the emerge output.
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Mon Jul 08, 2013 11:20 pm    Post subject: Reply with quote

Josef.95 wrote:
creaker wrote:
These packages depends on nepomuk and nepomuk-core:
Code:
kdebase-runtime-meta
kde-meta
systemsettings
dolphin
kdepimlibs
plasma-workspace
amarok
[....]

No, of these Packages only in amarok is semantic-desktop not longer optional.
You'd better read the emerge output.



again you did not read carefully, these packages depends on nepomuk, so since I tried to prevent nepomuk installing I have had to edit these ebuilds. With standard ebuilds I got a nepomuk installed and running after update, even though semantic-desktop was disabled.
Maybe it worth to read all the topic once more?
Back to top
View user's profile Send private message
Aiken
Tux's lil' helper
Tux's lil' helper


Joined: 22 Jan 2003
Posts: 140
Location: Toowoomba/Australia

PostPosted: Mon Jul 08, 2013 11:59 pm    Post subject: Reply with quote

creaker wrote:
Josef.95 wrote:
creaker wrote:
These packages depends on nepomuk and nepomuk-core:
Code:
kdebase-runtime-meta
kde-meta
systemsettings
dolphin
kdepimlibs
plasma-workspace
amarok
[....]

No, of these Packages only in amarok is semantic-desktop not longer optional.
You'd better read the emerge output.



again you did not read carefully, these packages depends on nepomuk, so since I tried to prevent nepomuk installing I have had to edit these ebuilds. With standard ebuilds I got a nepomuk installed and running after update, even though semantic-desktop was disabled.
Maybe it worth to read all the topic once more?


I am not seeing anything wrong with what Josef.95 wrote as they are correct in saying the only package in that list that requires semantic-desktop is amarok. Using -semantic-desktop the rest of the packages in that list do not pull in nepomuk.

I had the same same message as you that kdelibs required the use flag change when the upgrade to kde 4.10.4 and the only reason for that was amarok. Uninstall amarok and the problem went away. From what we have been told this will be a different story with 4.11 but at the moment I am using 4.10.4 without the semantic stuff, with the supplied ebuilds in the portage tree and the only price I had to play was remove amarok which I do not use anyway so no loss.
_________________
Beware the grue.
Back to top
View user's profile Send private message
creaker
l33t
l33t


Joined: 14 Jul 2012
Posts: 651

PostPosted: Tue Jul 09, 2013 9:49 am    Post subject: Reply with quote

@ Aiken:
Yes, if I'll remove amarok, the problem goes away. Currently no packages that requires semantic-desktop, except amarok.
But I do not want to remove amarok or replace him with other player as it was suggested before. So I have no options except editing kdelibs ebuild. May be worthwhile to change the amarok ebuild instead of kdelibs, I do not know. Anyway I changed kdelibs ebuild and updated a system successfully. Without having to enable semantic-desktop.

But I noticed that nepomuk was installed during update and I decided to edit ebuilds that depends on nepomuk. Their seven ebulds that can pull nepomuk in. I did not explore which of them pulls nepomuk, just changed all of them and updated a system once more. This time I got a system without nepomuk.

Maybe there is an option to edit amarok's ebuild only, I do not know. Next time (on next update) I will try it - to change amarok's ebuild only.
Back to top
View user's profile Send private message
steveL
Advocate
Advocate


Joined: 13 Sep 2006
Posts: 2700
Location: The Peanut Gallery

PostPosted: Tue Jul 09, 2013 12:37 pm    Post subject: Reply with quote

Thanks creaker, that's perfect.

I wouldn't expect to get kdepim stuff working without semantic-desktop: I had to get rid of kmail ages ago because of this, and based on everything I've read before and since, I don't think we should try.

Other than that, if we can get amarok to work without it simply, then great: if not, then we shouldn't worry about it and just recommend clementine, or w/e you prefer.

So leaving those 2 aside for now, it's starting to sound like we'll need an overlay, at least for kdelibs and other core packages that have nepomuk hard-coded into the ebuild. I'll take a look at setting one up, same as we did for hardened back in the day.

We should also explore what happens when we put nepomuk (et al) in package.provided. That should mean portage won't try to install them, and we can see which parts of KDE really do fail completely without it. As said, I'm sceptical that it really is that important to the base.

I'm still on 4.9, but I have to upgrade this week, or I'm in trouble (since I pushed the changes to update I'm working on by accident, while my desktop is still a couple of months behind and they've not actually been finished, my boss is not happy.. ;) So I'll be able to put real testing in prob'y next week, and will set up the overlay then.

We need one for update in any case, since people not using the git version currently have to upgrade manually. Not been an issue in that releases have been few and far-between, but apparently that's not good either, and I should be releasing more often. (My colleagues use the git version, so it has to be kept running correctly, even when it has experimental code in it.)

creaker, when you get a moment, can you drop by #friendly-coders on IRC: chat.freenode.net, so we can talk about the whole thing better? I'm sure I've seen your nick online before, but if not /join that room first, before you get eaten up by the rest of IRC.. ;-)
Back to top
View user's profile Send private message
gcasillo
l33t
l33t


Joined: 23 Sep 2003
Posts: 736
Location: Cincinnati, Ohio, USA

PostPosted: Tue Jul 09, 2013 2:50 pm    Post subject: Reply with quote

Very disappointing news to hear of this mandated semantic desktop. Completely unnecessary. Seems like sour grapes by whatever dev(s) has coded it.

I never did understand the direction and functionality of amarok. iTunes is not an application one should mimic, and if I wanted something like iTunes, I'd surrender to Apple and OSX and be done with it. Instead, I have preferred to run KDE for the liberation and configurability it traditionally has provided.

If XFree86 could be forked to X.Org, then KDE can and should be forked.
Back to top
View user's profile Send private message
gcasillo
l33t
l33t


Joined: 23 Sep 2003
Posts: 736
Location: Cincinnati, Ohio, USA

PostPosted: Tue Jul 09, 2013 2:58 pm    Post subject: Reply with quote

I gave up on KMail long ago. Again, its devs decided that everyone MUST bottom post and would not support alternatives. I appreciate good form as much as the next person, but sometimes you just have to piss off and let people be.

Amarok? I used it at first, but then it became something entirely different from my idea of a music player. The emphasis and direction really seemed to be on aggregation of data related to the primary function (play music). It was summarily unmerged and not missed.

As irritating as these issues were, they were applications for which alternatives existed and whose behavior didn't affect anything else on my desktop. No big deal. Now with this semantic desktop decision, my entire desktop experience is compromised and effectively downgraded. I'm not okay with that.

FORK.
Back to top
View user's profile Send private message
ulenrich
Veteran
Veteran


Joined: 10 Oct 2010
Posts: 1156

PostPosted: Tue Jul 09, 2013 3:32 pm    Post subject: Reply with quote

gcasillo wrote:
Very disappointing news to hear of this mandated semantic desktop.
It is not:
You should have the freedom to run a Kde desktop without semantic services. If not this clearly is a bug in the process of getting rid of semantic-desktop USE flag in Gentoo~current~unstable ebuilds (or upstream failing to get the desktop configurable).
_________________
fun2gen2
Back to top
View user's profile Send private message
The Doctor
Veteran
Veteran


Joined: 27 Jul 2010
Posts: 1492

PostPosted: Tue Jul 09, 2013 5:31 pm    Post subject: Reply with quote

ulenrich wrote:
gcasillo wrote:
Very disappointing news to hear of this mandated semantic desktop.
It is not:
You should have the freedom to run a Kde desktop without semantic services. If not this clearly is a bug in the process of getting rid of semantic-desktop USE flag in Gentoo~current~unstable ebuilds (or upstream failing to get the desktop configurable).


You are behind the times. Upstream is requiring semantic desktop be enabled.
_________________
First things first, but not necessarily in that order.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page Previous  1, 2, 3, 4  Next
Page 2 of 4

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum